c     Copyright (C)
c     2014-2018 Centre National de la Recherche Scientifique
c     2014-2018 Mesotar
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c
      subroutine test_inf(value,is_inf)
      implicit none
      include 'max.inc'
c     
c     Purpose: to test a given value against INF
c     
c     Input:
c       + value: double-precision data
c     
c     Output:
c       + is_inf: T if "value" in INF
c     
c     I/O
      double precision value
      logical is_inf
c     temp
      double precision x
      double precision infinity
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine test_inf'
c
      x=0.0D+0
      infinity=-dlog(x)
c     Debug
c     write(*,*) 'infinity=',infinity
c     Debug
      if (value.ge.infinity) then
         is_inf=.true.
      else
         is_inf=.false.
      endif
c
      return
      end
